com prn                                 ; remove "com" to get printed output
dxf example                             ; set up the dxf recording
tht 8                                   ; and text height (a little big)
sto 1 170 170                           ; to get the right spot on the sheet
lbr/1 2 n 5 7 16 w 577.2                ; set out the boundary
lbr/2 3 n 85 1 30 e 1501.41
lbr/3 4 s 7 38 57 w 356.71
lbr/4 5 s 82 35 6 w 285.41
lbr/5 6 s 5 19 48 e 216.96
lbr/6 7 s 85 1 30 w 1138.17
lln 1 2 8 230                           ; set road alignment
lbr 8 9 n 85 1 30 e 816
lan 8 9 10 315 149 0 0
lbr 10 11 n 82 35 5 e 310
lri 12 3 4 11
ali/8 9 10 13 14 15 425 0 0             ; lay out the curves
ali/9 10 11 16 -17 18 170 0 0
ali/10 11 12 19 -20 21 160 0 0
dxl 8 13                                ; connect the centerline arcs
dxl 15 16
dxl 18 19
dxl 21 12
ofl 8 13 999 23 25                      ; do south side of right-of-way
pin/22 1 2 999 23
dxl 22 23
ofa/14 13 15 23 24 25
ofa/17 18 16 26 25 -25
dxl 24 25
ofa/20 21 19 28 27 -25
dxl 26 27
ofl 21 12 28 999 25
pin 29 28 999 3 4
dxl 28 29
clr 999
com
com     Now lay out the first bank of lots, 100' wide, along the
com     south P/L.  By using (manually) the commands:
com
com             lri 999 1 6 23
com             inb 7 999
com             clr 999
com
com     we can find that it is 697.55' from point 7 to point 999.  This
com     means we can put six 100' lots along the south line before we start
com     to intersect the curve defined by arc 23-24.
com
com     Lot 1
com     ~~~~~
lln 1 6 30 100
lri/31 22 23 30
com
com     Lot 2
com     ~~~~~
lln 30 6 32 100
lri/33 22 23 32
com
com     Lot 3
com     ~~~~~
lln 32 6 34 100
lri/35 22 23 34
com
com     Lot 4
com     ~~~~~
lln 34 6 36 100
lri/37 22 23 36
com
com     Lot 5
com     ~~~~~
lln 36 6 38 100
lri/39 22 23 38
com
com     Lot 6
com     ~~~~~
lln 38 6 40 100
lri/41 22 23 40
com
com     Lot 7
com     ~~~~~
com     This one will intersect the arc.  Use temp pt 999 to find
com     intersection with arc.
com
lln 40 6 42 100
lri 999 22 23 42
alp 43 14 450.35 42 999 42
dxl 42 43
clr 999
com
com     Now annotate the side lot lines.
com
ano 1 22 s
ano 30 31 s
ano 32 33 s
ano 34 35 s
ano 36 37 s
ano 38 39 s
ano 40 41 s
ano 42 43 s
com
com     And, the frontage lines.
com
and 22 31 b
and 31 33 b
and 33 35 b
and 35 37 b
and 37 39 b
and 39 41 b
and 41 23 b
com
com     And the arc from 23 to 43.
com
ana 14 23 43 o
com
com now, let's put a cul-de-sac on the west end.
com
ofl 8 13 44 45 -25                      ; north right-of-way line
lln 8 13 46 205                         ; intersection point
lan/8 46 47 191.45 90 0 0               ; center of cds
cds/46 47 40 50 48 49 50 51 52 53 25    ; the cul-de-sac
com
com now, fillet the r/w intersection -- first fillet:
com
lln 44 45 54 155                        ; fillet end (205'-30'-25' from p/l)
lan 44 54 55 25 90 0 0                  ; fillet center
lan 54 55 56 25 -90 0 0                 ; fillet end
dxl 44 54                               ; r/w line
dxa 55 54 56                            ; fillet (counterclockwise!)
dxl 56 49                               ; r/w line
com
com second fillet:  (this time, use the ALI command)
com
ofl 46 47 998 999 25
pin 997 998 999 44 45
ali/45 997 999 57 -58 59 25 0 0
clr 997 999
dxl 45 57                               ; r/w line
dxl 59 52                               ; r/w line
com
com     Number the lots and do areas (Note:  it is best here
com     to do both at once.  Calling LOT before calculating area
com     will set the location for the text more centrally for
com     lots that have fillets to be calculated.  This is because
com     it isn't necessary to give all corners for the LOT command.
com
lot 1 1 22 31 30
are/1 22 31 30 1
lot 2 30 32 33 31
are/30 32 33 31 30
lot 3 32 34 35 33
are/32 34 35 33 32
lot 4 34 36 37 35
are/34 36 37 35 34
lot 5 36 38 39 37
are/36 38 39 37 36
lot 6 38 40 41 39
are/38 40 41 39 38
lot 7 40 42 43 41
are/40 42 43 41 40
com
com     Add a title (Note: can't put comments at the end of
com     these lines)
com
not 1000 850 a dicogo subdivision
not 950 850 dicogo 3.0, d i management corporation
com
com     And finally, number the points.
com
pnr 1 59
end y example                           ; save the points
